Match or inject a payout
curl --request POST \
--url https://api.range.org/v2/redemptions/{id}/payout \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"payout_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"booked_at": "<string>",
"quantity": "<string>",
"source_ref": "<string>",
"counterparty_address": "<string>",
"client_movement_id": "<string>",
"asset_id": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.range.org/v2/redemptions/{id}/payout"
payload = {
"payout_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"booked_at": "<string>",
"quantity": "<string>",
"source_ref": "<string>",
"counterparty_address": "<string>",
"client_movement_id": "<string>",
"asset_id": "<string>",
"description": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payout_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
booked_at: '<string>',
quantity: '<string>',
source_ref: '<string>',
counterparty_address: '<string>',
client_movement_id: '<string>',
asset_id: '<string>',
description: '<string>'
})
};
fetch('https://api.range.org/v2/redemptions/{id}/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"burn_tx_hash": "<string>",
"log_index": 123,
"burn_time": "<string>",
"amount": "<string>",
"redeeming_address": "<string>",
"deadline": "<string>",
"state": "pending",
"late": true,
"reportable": true,
"step": "<string>",
"payout_reference": "<string>",
"source_ref": "<string>",
"payout_date": "<string>",
"payout_source": "csv",
"case_resolution": "dismissed",
"resolved_by": "<string>",
"dismiss_reason": "<string>",
"waiting_for": "<string>",
"payout_entered_by": "<string>",
"payout_entered_at": "<string>",
"case_id": "<string>"
}Redemptions
Match or inject a payout
Pairs an unmatched payout, or writes one through the payout account, then re-evaluates the redemption.
POST
/
v2
/
redemptions
/
{id}
/
payout
Match or inject a payout
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
Body
application/json
Response
200 - application/json
Position of the burn within its transaction. With burn_tx_hash it identifies the burn.
Available options:
pending, done, done_late, failed Statement reference (source_ref). Stored and shown; never used to match.
Available options:
csv, api, manual Available options:
dismissed, paid The case opened when this redemption missed its deadline. Null when no case was opened.
Last modified on October 7, 2026
Was this page helpful?